
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	fprintf(file,"A = [\n");
}

void writeDataToOctave(FILE* file, double time, double pos) {
	fprintf(file,"%f %f\n",time,pos);

}

void writeOctaveTail(FILE* file, double Kp, double Ki, double Kd) {

	fprintf(file,"];\n");
	fprintf(file,"t = A(:,1);\n");
	fprintf(file,"pos = A(:,2);\n");	
	fprintf(file,"plot(t,pos);\n");
	fprintf(file,"grid\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('position');\n");	
	fprintf(file,"mat = zeros(3,1);\n");
	fprintf(file,"Kp = %f;\n",Kp);
	fprintf(file,"mat(1) = Kp;\n");
	fprintf(file,"Ki = %f;\n",Ki);
	fprintf(file,"mat(2) = Ki;\n");
    fprintf(file,"Kd = %f;\n",Kd);
	fprintf(file,"mat(3) = Kd;\n");
    fprintf(file,"str = mat2str(mat)       ;\n");	
	fprintf(file,"tit = strcat('[KP, Ki, Kd] =   ',str);\n");
    fprintf(file,"title(tit);\n");	
} 